/*****************************************************************************************
*                                                                                        *
* This SAS program will extract the United States Sentencing Commission's Life Sentences *
* in the Federal System 2022 report 20 year file and create a SAS dataset.               *
*                                                                                        *
* Prior to running the program you must update the DAT file location in the FILNAME line *
* to correspond to the location of the file on your computer.                            *
*                                                                                        *
* You must also update the library location in the LIBNAME statement to correspond to    *
* the folder you want the output file to be located.                                     *
*                                                                                        *
*****************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
FILENAME datafile '.\USSC_Life20yr_Public.dat' ;

/* The following line should contain the directory in which you wish your SAS file to be stored */
libname library '.' ;

/* The following line contains the name (without the extension) for your SAS dataset */
%LET dataset = USSC_Life20yr_Public ;

DATA library.&dataset ;
INFILE datafile LRECL=44;
INPUT
   DEFACTO  1-3             LIFE  4-6                LIFE_STATMAX  7-9     
   LIFE_STATMIN  10-12      LIFECAT  13-15           FY  16-19             
   SENTTOT  20-27           USSCIDN  28-34           STATMAX  35-39        
   STATMIN  40-44         ;                       

LABEL
   USSCIDN = "USSCIDN"
   STATMAX = "MONMAX"
   STATMIN = "MONMIN" ;

LENGTH
   DEFACTO 3                LIFE 3                   LIFE_STATMAX 3        
   LIFE_STATMIN 3           LIFECAT 3                FY 4                  
   USSCIDN 6                STATMAX 6                STATMIN 4 ;

         

RUN ;
