* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                                                            */
/* This SPSS program will extract the United States Sentencing Commission's                                 */
/* Life Sentences in the Federal System report 5 year  file and create a SPSS dataset.                     */
/*                                                                                                                                                                             */
/* Prior to running the program you must update the DAT file location in the                                         */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                             */
/* computer.                                                                                                                                                         */
/*                                                                                                                                                                             */
/* You must also update the file output location in the SAVE OUTFILE statement at the                     */
/* end of the program to correspond to the folder you want the output file to be located.                     */
/*                                                                                                                                                                             */
/*********************************************************************************************************/

FILE HANDLE DATA / NAME=".\USSC_Life5yr_Public.dat" ENCODING="CP1252" / LRECL=310 .

DATA LIST FILE=DATA/
   ANYFEDCNVT 1-3           ANYJUVYHX 4-6            ANYVIOLENTHX 7-9      
   CHSET 10-12              CNTVIOLENTHX 13-15       DEATHINJ 16-18        
   DEFACTO 19-21            DURATION 22-24           FIRSTCONVICT 25-27    
   LIFE 28-30               LIFE_GLMAX 31-33         LIFE_GLMIN 34-36      
   LIFE_STATMAX 37-39       LIFE_STATMIN 40-42       LIFECAT 43-45         
   P_ASSAULT 46-48          P_BURGLARY 49-51         P_DRUGPOSS 52-54      
   P_DRUGTRAFF 55-57        P_DUI 58-60              P_FRAUD 61-63         
   P_HOMICIDE 64-66         P_IMMIG 67-69            P_LARCENY 70-72       
   P_OTHER 73-75            P_OTHDRUG 76-78          P_OTHPROP 79-81       
   P_OTHVIOLENT 82-84       P_PUBORDER 85-87         P_RAPE 88-90          
   P_ROBBERY 91-93          P_TRAFFIC 94-96          P_WEAPON 97-99        
   SENT100 100-102          CHFY 103-106             FY 107-110            
   OFFGUIDE 111-114         SENTRNGE 115-118         VIOLENT 119-122       
   SENTTOT 123-130          USSCIDN 131-137          ACCAP 138-141         
   ACCTRESP 142-145         AGE 146-149              ATRB_5K 150-153       
   CAROFFAP 154-157         COMBDRG2 158-161         CRIMHIST 162-165      
   MONSEX 166-169           NEWCIT 170-173           NEWCNVTN 174-177      
   NEWEDUC 178-181          NEWRACE 182-185          SEXCAP 186-189        
   SOURCES 190-193          TOTCHPTS 194-197         WEAPON 198-201        
   XCRHISSR 202-205         XFOLSOR 206-209          AMENDYR 210-214       
   GLMIN 215-219            GLMAX 220-224            STATMAX 225-229       
   STATMIN 230-234          XMAXSOR 235-239          XMINSOR 240-244       
   ADJ_FHI 245-248          AGGROLHI 249-252         MITROLHI 253-256      
   OFFVCTHI 257-260         RSTRVCHI 261-264         TERORHI 265-268       
   VULVCTHI 269-272         BASLNHI 273-276          BASLNRHI 277-280      
   GDLINEHI 281-286 (A)     GDREFHI 287-292 (A)      WGT1 293-304          
   EVENTNUM 305-307         CHAGE1 308-310 .      


FORMATS
  SENTTOT (F9.2) /         WGT1 (F13.6) / .
      
VARIABLE LABELS
   ANYFEDCNVT 'Any Federal CH Event'
   ANYJUVYHX 'Any Juvenile CH Event'
   ANYVIOLENTHX 'Any Violent CH Event'
   CNTVIOLENTHX 'Number of Violent CH Events'
   DEFACTO 'De Facto Life(>470m) - excluding Actual Life'
   DURATION 'Length of Criminal Involvement (Years)'
   FIRSTCONVICT 'Current Sentence is First Criminal Conviction'
   LIFE 'Actual Life Sentence'
   LIFE_GLMAX 'Guideline	Maximum of Life'
   LIFE_GLMIN 'Guideline Minimum of Life'
   LIFE_STATMAX 'Statutory Maximum of Life'
   LIFE_STATMIN 'Statutory Minimum of Life'
   LIFECAT 'Actual, De Facto(>470m), and Less than Life'
   USSCIDN 'USSCIDN'
   MONSEX 'MONSEX'
   SOURCES 'SOURCES'
   TOTCHPTS 'TOTCHPTS'
   XCRHISSR 'XCRHISSR'
   XFOLSOR 'XFOLSOR'
   AMENDYR 'AMENDYR'
   STATMAX 'MONMAX'
   STATMIN 'MONMIN'
   XMAXSOR 'XMAXSOR'
   XMINSOR 'XMINSOR'
   OFFVCTHI 'Official Victim'
   RSTRVCHI 'Restraint of Victim'
   VULVCTHI 'Vulnerable Victim/Hate Crime'
.

SAVE OUTFILE='.\USSC_Life5yr_Public.sav'.
